<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.csss" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php



 
	include('CA50000_CL.php');

	$varible_clase = new clase();
    $variblr_clase->id_catprom = strtoupper($_POST["id_catprom"]);
	$varible_clase->nom = strtoupper($_POST["nom"]);
	$varible_clase->ape_pat = strtoupper($_POST["ape_pat"]);
	$varible_clase->ape_mat = strtoupper($_POST["ape_mat"]);
	$varible_clase->rfc = strtoupper($_POST["rfc"]);
	$varible_clase->dom = strtoupper($_POST["dom"]);
	$varible_clase->id_paises = strtoupper($_POST["id_paises"]);
	$varible_clase->id_estado = strtoupper($_POST["id_estado"]);
	$varible_clase->id_delmun = strtoupper($_POST["id_delmun"]);
	$varible_clase->col = strtoupper($_POST["col"]);
	$varible_clase->cod_pos = strtoupper($_POST["cod_pos"]);
	$varible_clase->tel = strtoupper($_POST["tel"]);
	$varible_clase->otr_tel = strtoupper($_POST["otr_tel"]);
	$varible_clase->e_mail = strtoupper($_POST["e_mail"]);	
	$varible_clase->zon_ate = strtoupper($_POST["zon_ate"]);
	$varible_clase->dom_des = strtoupper($_POST["dom_des"]);
	//Revizar Si el Registro ya Existe
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>!!! EL REGISTRO YA EXISTE... ACTUALIZANDO !!!!</h2>';
		echo '<meta content="1; url=CA50000_AG.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta Codigo de Agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con); 
		echo '<h2>!!! SE AGREGO EL REGISTRO... '.$_POST['id'].' ACTUALIZANDO !!!</h2>';
		echo '<meta content="1; url=CA50000_AG.php"  HTTP-EQUIV="REFRESH">';
	}else{
		
		echo '<h2>!!! NO SE HA PODIDO AGREGAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
		echo $res;
		echo '<meta content="20; url=CA50000_AG.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>